Subject: Re: [PATCH] ixgbe: Introduce new 10GbE driver for Intel 82598 based PCI Express adapters...

From: Jeff Garzik <[email-masked]>
Date: Mon, 02 Jul 2007 18:08:22 -0400

Kok, Auke wrote:
> I suppose I can fix those, but I really don't understand what all the 
> fuzz is about here. We're only conserving memory and staying far away 
> from the real risks of bitmasks, so forgive me if I don't grasp the 
> problem.

Be it machine ints or bitfields, you're not conserving memory.  Think 
about struct padding.

As to the overall question, I already posted a long list of problems 
with bitfields.  Shall I repeat?

	Jeff